using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Domain.Models;

[Comment("记录触发的事件，以及状态，从而方便重试操作")]
[Table("EventStoreRecord")]
public class EventStoreRecord : BaseFullAuditEntity
{

    [Comment("简单的事件类型名")]
    public string EventTypeName { get; set; }

    [Comment("完整的事件类型名")]
    public string EventType { get; set; }

    [MaxLength]
    public string EventData { get; set; }


    public EventStateEnum EventState { get; set; } = EventStateEnum.HavePublished;


}

public enum EventStateEnum
{
    None = 0,

    HavePublished = 1,

    ConsumeSuccessed = 3
}
